libgimpprint API Reference: mxml-node.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/mxml-node.c File Reference

`#include <gimp-print/mxml.h>`
`#include "config.h"`

Go to the source code of this file.

## Functions
stp_mxml_node_t * | mxml_new (stp_mxml_node_t *parent, stp_mxml_type_t type)
void | stp_mxmlAdd (stp_mxml_node_t *parent, int where, stp_mxml_node_t *child, stp_mxml_node_t *node)
void | stp_mxmlDelete (stp_mxml_node_t *node)
stp_mxml_node_t * | stp_mxmlNewElement (stp_mxml_node_t *parent, const char *name)
stp_mxml_node_t * | stp_mxmlNewInteger (stp_mxml_node_t *parent, int integer)
stp_mxml_node_t * | stp_mxmlNewOpaque (stp_mxml_node_t *parent, const char *opaque)
stp_mxml_node_t * | stp_mxmlNewReal (stp_mxml_node_t *parent, double real)
stp_mxml_node_t * | stp_mxmlNewText (stp_mxml_node_t *parent, int whitespace, const char *string)
void | stp_mxmlRemove (stp_mxml_node_t *node)

## Function Documentation

stp_mxml_node_t * mxml_new | ( | stp_mxml_node_t * | parent,
|  | stp_mxml_type_t | type
| ) | `[static]`

| Definition at line 458 of file mxml-node.c. References STP_MXML_ADD_AFTER, STP_MXML_ADD_TO_PARENT, stp_mxml_node_t, stp_mxml_type_t, stp_mxmlAdd(), and stp_mxml_node_s::type. Referenced by stp_mxmlNewElement(), stp_mxmlNewInteger(), stp_mxmlNewOpaque(), stp_mxmlNewReal(), and stp_mxmlNewText().

void stp_mxmlAdd | ( | stp_mxml_node_t * | parent,
|  | int | where,
|  | stp_mxml_node_t * | child,
|  | stp_mxml_node_t * | node
| ) |

| Definition at line 58 of file mxml-node.c. References stp_mxml_node_s::child, stp_mxml_node_s::last_child, stp_mxml_node_s::next, stp_mxml_node_s::parent, stp_mxml_node_s::prev, STP_MXML_ADD_AFTER, STP_MXML_ADD_BEFORE, stp_mxml_node_t, and stp_mxmlRemove(). Referenced by mxml_new(), stp_xmltree_create_from_array(), stp_xmltree_create_from_curve(), and xmldoc_create_from_curve().

void stp_mxmlDelete | ( | stp_mxml_node_t * | node | ) |

| Definition at line 168 of file mxml-node.c. References stp_mxml_value_s::attrs, stp_mxml_node_s::child, stp_mxml_value_u::element, stp_mxml_attr_s::name, stp_mxml_value_s::name, stp_mxml_value_s::num_attrs, stp_mxml_value_u::opaque, STP_MXML_ELEMENT, STP_MXML_INTEGER, stp_mxml_node_t, STP_MXML_OPAQUE, STP_MXML_REAL, STP_MXML_TEXT, stp_mxmlRemove(), stp_mxml_text_s::string, stp_mxml_value_u::text, stp_mxml_node_s::type, stp_mxml_attr_s::value, and stp_mxml_node_s::value. Referenced by stp_curve_create_from_file(), stp_curve_create_from_stream(), stp_curve_create_from_string(), stp_curve_write(), stp_curve_write_string(), stp_xml_parse_file(), stp_xmltree_create_from_array(), stp_xmltree_create_from_curve(), stp_xmltree_create_from_sequence(), stpi_dither_array_create_from_file(), and xmldoc_create_from_curve().

stp_mxml_node_t* stp_mxmlNewElement | ( | stp_mxml_node_t * | parent,
|  | const char * | name
| ) |

| Definition at line 251 of file mxml-node.c. References stp_mxml_value_u::element, mxml_new(), stp_mxml_value_s::name, STP_MXML_ELEMENT, stp_mxml_node_t, and stp_mxml_node_s::value. Referenced by mxml_load_data(), stp_xmldoc_create_generic(), stp_xmltree_create_from_array(), stp_xmltree_create_from_curve(), and stp_xmltree_create_from_sequence().

stp_mxml_node_t* stp_mxmlNewInteger | ( | stp_mxml_node_t * | parent,
|  | int | integer
| ) |

| Definition at line 284 of file mxml-node.c. References stp_mxml_value_u::integer, mxml_new(), STP_MXML_INTEGER, stp_mxml_node_t, and stp_mxml_node_s::value. Referenced by mxml_load_data().

stp_mxml_node_t* stp_mxmlNewOpaque | ( | stp_mxml_node_t * | parent,
|  | const char * | opaque
| ) |

| Definition at line 318 of file mxml-node.c. References mxml_new(), stp_mxml_value_u::opaque, stp_mxml_node_t, STP_MXML_OPAQUE, and stp_mxml_node_s::value. Referenced by mxml_load_data().

stp_mxml_node_t* stp_mxmlNewReal | ( | stp_mxml_node_t * | parent,
|  | double | real
| ) |

| Definition at line 351 of file mxml-node.c. References mxml_new(), stp_mxml_value_u::real, stp_mxml_node_t, STP_MXML_REAL, and stp_mxml_node_s::value. Referenced by mxml_load_data().

stp_mxml_node_t* stp_mxmlNewText | ( | stp_mxml_node_t * | parent,
|  | int | whitespace,
|  | const char * | string
| ) |

| Definition at line 386 of file mxml-node.c. References mxml_new(), stp_mxml_node_t, STP_MXML_TEXT, stp_mxml_text_s::string, stp_mxml_value_u::text, stp_mxml_node_s::value, and stp_mxml_text_s::whitespace. Referenced by mxml_load_data(), and stp_xmltree_create_from_sequence().

void stp_mxmlRemove | ( | stp_mxml_node_t * | node | ) |

| Definition at line 422 of file mxml-node.c. References stp_mxml_node_s::child, stp_mxml_node_s::last_child, stp_mxml_node_s::next, stp_mxml_node_s::parent, stp_mxml_node_s::prev, and stp_mxml_node_t. Referenced by stp_mxmlAdd(), and stp_mxmlDelete().